dpkg-query(1)

NAME
dpkg-query - ein Werkzeug, um die dpkg-Datenbank abzufragen

ÜBERSICHT
dpkg-query [Option...] Befehl

BESCHREIBUNG
dpkg-query ist ein Werkzeug, um Informationen über Pakete zu zeigen, die in der dpkg-Datenbank aufgeführt sind.

BEFEHLE

-l, --list Paketname-Muster ...
    Liste Pakete auf, deren Namen auf ein bestimmtes Muster passt. Falls kein Paketname-Muster angegeben ist, liste alle Pakete in /var/lib/dpkg/status auf, die nicht mit dem Status »purge« (endgültig entfernen) markiert sind. Beachten Sie, dass Sie wahrscheinlich Paketname-Muster durch Anführungszeichen schützen müssen, um die Shell an der Dateinamen-Expansion zu hindern. Folgender Befehl listet beispielsweise alle Paketnamen, die mit »libc6« beginnen, auf:
      dpkg-query -l 'libc6*'
    Das Ausgabeformat dieser Option kann nicht konfiguriert werden, variiert aber automatisch mit der Terminalbreite. Die Ausgabe ist für menschliche Leser gedacht und nicht leicht maschinenlesbar. Lesen Sie über die Optionen -W (--show) und --showformat, um das Ausgabeformat zu konfigurieren.

-W, --show Paketname-Muster ...
    Genau wie die --list-Option wird dies alle Pakete, die auf das angegebene Muster passen, aufführen. Allerdings kann die Ausgabe mit der --showformat-Option angepasst werden. Im Standardausgabeformat wird eine Zeile pro passendem Paket ausgegeben, wobei in jeder Zeile Name und installierte Version des Pakets getrennt durch einen Tabulator enthalten sind.

-s, --status Paketname ...
    Berichte Zustand des angegebenen Paketes. Dies zeigt nur den Eintrag in der Datenbank der Zustände der installierten Pakete.

-L, --listfiles Paketname ...
    Aufführen von Dateien, die durch Paketname installiert wurden. Beachten Sie aber, dass Dateien, die durch Paket-spezifische Installationsskripte erstellt wurden, nicht aufgeführt werden.

-S, --search Dateiname-Suchmuster ...
    Suche nach einem Dateinamen aus einem installierten Paket. Alle Standard-Jokerzeichen (»wildcards«) der Shell können in diesem Muster verwandt werden. Dieser Befehl wird weder die zusätzlichen Dateien, die durch Betreuer-Skripte erstellt wurden, noch Alternativen aufführen.

-p, --print-avail Paketname
    Zeige Details über Paketname an, wie sie in /var/lib/dpkg/available enthalten sind.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

--licence, --license
    Zeigt die Kopier-Lizenzierungsbedingungen und beendet sich.

OPTIONEN

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

-f, --showformat=Format
    Diese Option wird dazu verwendet, das Format der Ausgabe anzugeben, das --show verwenden wird. Das Format ist eine Zeichenkette, die für jedes aufgeführte Paket ausgegeben wird. In der Formatzeichenkette leitet “\” Escape-Sequenzen ein:
        \n  Zeilenumbruch
        \r  Wagenrücklauf
        \t  Tabulator
    “\” vor einem anderen Zeichen unterdrückt jede spezielle Bedeutung des folgenden Zeichens. Dies ist für “\” und “$” nützlich. Paketinformationen können einbezogen werden, indem Variablenreferenzen auf Paketfelder eingefügt werden. Hierbei wird folgende Syntax verwendet: “${Feld[;Breite]}”. Felder werden rechtsbündig ausgegeben, falls die Breite nicht negativ ist und somit linksbündige Ausgabe erfolgt. Die folgenden Felder werden verstanden:
        Architecture
        Bugs
        Conffiles
        Config-Version
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename
        Homepage
        Installed-Size
        MD5sum
        MSDOS-Filename
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision
        Section
        Size
        Source
        Status
        Suggests
        Tag
        Version
    Die Standard-Formatzeichenkette ist “${Package}\t${Version}\n”. Tatsächlich können auch alle anderen Felder, die in der Statusdatei gefunden werden können (d.h. benutzerdefinierte Felder), abgefragt werden. Sie werden so dargestellt, wie sie gefunden werden, es erfolgt keine Umwandlung oder Fehlerüberprüfung. Um den Namen des Dpkg-Betreuers und die installierte Version zu erhalten, könnten Sie folgendes ausführen:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

UMGEBUNG

COLUMNS
    Diese Einstellung beeinflusst die Ausgabe der --list-Option durch Verändern der Breite ihrer Ausgabe.

AUTOR
Copyright (C) 2001 Wichert Akkerman

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2008 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg(1).